! Dubla precizie
! Genereazas matricile A si b
subroutine genAB(n, nb, A, b)


real(8) a(n,n), b(n,nb)


a =0.; b=0.;

! Insereaza cod
! Exemplu:
! do i=1,n
!	do j=1,n
!	a(i,j) =...
!	enddo
! enddo
!
! do j=1,nb
!	do i=1,n
!	b(i,j) =...
!	enddo
! enddo

! A= Hilbert:
ido: do i =1,n
jdo: do j =1,n
a(i,j) =DFLOAT( (i+j-1) )
enddo jdo
enddo ido

b =0.

! b =Vectorii unitate:
do j =1,nb
do i=1,n
b(i,i) =1.
enddo
enddo

END subroutine GenAB
